Bug 616426 - autofs initscript should implement force-reload and try-restart
autofs initscript should implement force-reload and try-restart
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: autofs (Show other bugs)
6.1
All Linux
high Severity medium
: rc
: ---
Assigned To: Ian Kent
yanfu,wang
:
Depends On:
Blocks: 633349
  Show dependency treegraph
 
Reported: 2010-07-20 08:42 EDT by Boris Ranto
Modified: 2011-05-19 10:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: autofs-5.0.5-27.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:22:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Ranto 2010-07-20 08:42:21 EDT
Description of problem:
autofs initscript does not implement functions force-reload and try-restart.
This bug was created on behalf of bug 578128.

The specification says:
force-reload cause the configuration to be reloaded if the service supports
this, otherwise restart the service

So force-reload should be implemented as restart.

Try-restart could be implemented e.g. like condrestart.

Otherwise there are undocumented options in script (and the options don't do
what they are supposed to).

Those two options should also be added to usage function.

Version-Release number of selected component (if applicable):
5.0.5-22

How reproducible:
100 %

Steps to Reproduce:
1. service autofs try-restart
2. service autofs force-reload

Actual results:
try-restart service action not supported and returns 3.
force-reload service action not supported and returns 3.

Expected results:
Options are implemented and return appropriate values.
Options are added to usage.

Additional info:
Comment 1 Ian Kent 2011-01-27 22:55:21 EST
(In reply to comment #0)
> Description of problem:
> autofs initscript does not implement functions force-reload and try-restart.
> This bug was created on behalf of bug 578128.
> 
> The specification says:
> force-reload cause the configuration to be reloaded if the service supports
> this, otherwise restart the service
> 
> So force-reload should be implemented as restart.
> 
> Try-restart could be implemented e.g. like condrestart.
> 
> Otherwise there are undocumented options in script (and the options don't do
> what they are supposed to).
> 
> Those two options should also be added to usage function.
> 

snip ...

> 
> Actual results:
> try-restart service action not supported and returns 3.
> force-reload service action not supported and returns 3.
> 
> Expected results:
> Options are implemented and return appropriate values.

What are those appropriate values?
Right now these options return the same values as restart and
condrestart.

Can you test the package at:
http://people.redhat.com/~ikent/autofs-5.0.5-27.el6
let me know what else I need to do to satisfy the requirements
of this bug.
Comment 2 Boris Ranto 2011-02-04 06:35:10 EST
I've tested the package and based on my testing the package satisfies the requirements of this bug.
Comment 4 yanfu,wang 2011-02-22 02:45:13 EST
reproduced on rhel6.0:
# uname -a
Linux x86-64-6s-m1.ss.eng.bos.redhat.com 2.6.32-71.14.1.el6.x86_64 #1 SMP Wed Jan 5 17:01:01 EST 2011 x86_64 x86_64 x86_64 GNU/Linux
# service autofs try-restart
try-restart service action not supported
# echo $?
3
# service autofs force-reload
force-reload service action not supported
# echo $?
3
# /etc/init.d/autofs usage
Usage: /etc/init.d/autofs {start|forcestart|stop|status|restart|forcerestart|reload|condrestart}


verified on autofs-5.0.5-29.el6 on i386 and x86_64:
# uname -a
Linux intel-s3e36-01.rhts.eng.rdu.redhat.com 2.6.32-94.el6.x86_64 #1 SMP Tue Dec 28 21:55:53 EST 2010 x86_64 x86_64 x86_64 GNU/Linux
# service autofs try-restart
Stopping automount: [  OK  ]
Starting automount: [  OK  ]
# echo $?
0
# service autofs force-reload
Loading autofs4: [  OK  ]
Starting automount: [  OK  ]
# echo $?
0
# /etc/init.d/autofs usage
Usage: /etc/init.d/autofs {start|forcestart|stop|status|restart|force-reload|forcerestart|reload|condrestart|try-restart}
Comment 5 errata-xmlrpc 2011-05-19 10:22:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0753.html

Note You need to log in before you can comment on or make changes to this bug.